<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Web page icon -->
    <link rel="icon" type="image/png" href="./assets/images/j-icon.png">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

     <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&family=Zilla+Slab:wght@500&display=swap" rel="stylesheet">


    <!-- Main CSS -->
    <link rel="stylesheet" type="text/css" href="assets/css/style.css">

	<title>To Do List App</title>
</head>
<body>
	<div id="header-main">
		<header>
			<h1>My To Do List</h1>	
		</header>

		<main class="container-fluid">
			<div class="row">
				<div class="center-content col-12" id="new-todo-container">
					<form onsubmit="return false">
						<input type="text" name="newTodo" id="newToDo" autofocus>
						<button id="addToDo" class="btn add-btn">(+) add to do</button>
					</form>
				</div>


				<h2 id="toDoListJudger" class="col-12 col-lg-6">Please improve your work next time.</h2>

				<section id="toDosStatsSection" class="col-12 col-lg-6">
					<div class="center-content">
						<div>
							<h3 class="center-content">My List Statistics</h3>
							<p id="numberOfToDos">Number of Items: 0</p>
							<p id="firstToDo">First Item: n/a</p>
							<p id="lastToDo">Last Item: n/a</p>
						</div>
					</div>
				</section>

				<section id="toDoListSection" class="col-12">
					<div class="center-content">
						<div>
							<h3>My List: </h3>
							<ol id="toDoList"></ol>
							<button id="clearToDo" class="btn delete-btn" >(-) clear list</button>
						</div>
					</div>
				</section>

				
			</div>
		</main>
	</div>

	<footer class="container-fluid">
		<div class="row" id="social-links">
			<div class="col-3 col-lg-4"></div>
			<div class="col-3 col-lg-2">
				<a href="https://gitlab.com/jacobtco" target="_blank"><div id="gitlab-icon" class="image-element"></div></a>
			</div>
			<div class="col-3 col-lg-2">
				<a href="https://www.linkedin.com/in/jacob-co-8aaa90185" target="_blank">
					<div id="linkedin-icon" class="image-element"></div>
				</a>
			</div>
			<div class="col-3 col-lg-4"></div>
		</div>
		<h5>Jacob Co &copy 2021</h5>
	</footer>

	<!-- my custom javascript -->
	<script type="text/javascript" src="./assets/js/script.js"></script>

	<!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script> 
</body>
</html>